Bug 342581 - multiarch conflicts in mecab
multiarch conflicts in mecab
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mecab (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:50 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 10:29:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:50:52 EDT
mecab (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /etc/mecabrc from install of mecab-0.96-1.fc8.2 conflicts with file from package mecab-0.96-1.fc8.2
  file /usr/bin/mecab-config from install of mecab-devel-0.96-1.fc8.2 conflicts with file from package mecab-devel-0.96-1.fc8.2

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Bill Nottingham 2007-10-22 16:07:14 EDT
This should be fixed, whether by changing the files or changing the packaging.
Comment 2 Mamoru TASAKA 2007-10-22 21:58:42 EDT
Please don't expect that mecab(-devel) can be multi-arch installable.
Comment 3 Bill Nottingham 2007-10-23 13:17:38 EDT
Why not? Hundreds of other apps are.
Comment 4 Mamoru TASAKA 2007-10-23 13:30:06 EDT
Similar with hyperestraier, mecab reads text files and creates/reads
something like database files, which are *arch dependent*.

So, for example if 
- a package using 32 bit mecab library creates some files
- and another package using 64 bit mecab library reads the files
it is hazardous. So generally mecab isn't multiarch installable.
Comment 5 Bill Nottingham 2007-10-23 13:38:45 EDT
However, we install devel as multiarch so things can build against the devel
libraries - how does that prevent this?
Comment 6 Mamoru TASAKA 2007-10-23 13:47:12 EDT
First,
- I cannot figure out why you want to install two arch devel packages
  even if mecab libraries are not multiarch installable.
  Any strong rationale, approved by packaging committee?
Comment 7 Mamoru TASAKA 2007-10-23 13:52:56 EDT
Moreover, /usr/bin/mecab-config contains the information of
the data used by mecab library installed, not just pointing the
place of the libraries or else.
Comment 8 Mamoru TASAKA 2007-10-25 10:29:52 EDT
So I cannot find out any ratiorate for fixing multiarch conflict
even if mecab does not expect multiarch install.

Closing as WONTFIX again for now.

- Please discuss what we should fix for what purpose on some mailing
  list first.

Note You need to log in before you can comment on or make changes to this bug.